curl --request POST \
--url https://external.pleo.io/v1/bookkeeping-category-groups:search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived": true,
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>",
"types": []
}
'import requests
url = "https://external.pleo.io/v1/bookkeeping-category-groups:search"
payload = {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived": True,
"ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"name": "<string>",
"types": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
archived: true,
ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
name: '<string>',
types: []
})
};
fetch('https://external.pleo.io/v1/bookkeeping-category-groups:search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"archived": false,
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Entertainment",
"type": "ENTERTAINMENT"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {}
},
"endCursor": "string",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"total": 1
}
}Fetch a list of bookkeeping category groups
Fetches a paginated list of bookkeeping category groups for the given company ID. You can filter by group IDs, name, type, or archived status.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Body
Represents a request to search for bookkeeping category groups.
Filter by company ID.
Filter by archived status.
Filter by a list of bookkeeping category group IDs.
Filter by a list of bookkeeping category group IDs.
Search by name.
Filter by a list of bookkeeping category group types.
Bookkeeping category group types supported by Pleo. Used to classify category groups in frontend.
ENTERTAINMENT, EQUIPMENT_AND_HARDWARE, MARKETING_AND_ADVERTISING, MEALS_AND_DRINKS, OFFICE_EXPENSES, PHONE_AND_INTERNET, SERVICES_AND_CONSULTANCY, SOFTWARE, SUPPLIES, TRAVEL, OTHER, NO_SUITABLE_CATEGORY Was this page helpful?